from django_menu import label, menu, menugroup


menu = [
    menugroup('Dashboard',
              [
                  menu('Dashboard v1',
                       viewname='adminlte-demo:index1',
                       icon='far fa-circle'),
                  menu('Dashboard v2',
                       viewname='adminlte-demo:index2',
                       icon='far fa-circle'),
                  menu('Dashboard v3',
                       viewname='adminlte-demo:index3',
                       icon='far fa-circle'),
              ],
              icon='fas fa-tachometer-alt'),
    menu('Widgets',
         viewname='adminlte-demo:widgets',
         icon='fas fa-th',
         badge='New',
         badge_class='badge-danger'),
    menugroup('Layout Options',
              [
                  menu('Top Navigation',
                       viewname='adminlte-demo:top-nav',
                       icon='far fa-circle'),
                  menu('Top Navigation + Sidebar',
                       viewname='adminlte-demo:top-nav-sidebar',
                       icon='far fa-circle'),
                  menu('Boxed',
                       viewname='adminlte-demo:boxed',
                       icon='far fa-circle'),
                  menu('Fixed Sidebar',
                       viewname='adminlte-demo:fixed-sidebar',
                       icon='far fa-circle'),
                  menu('Fixed Navbar',
                       viewname='adminlte-demo:fixed-topnav',
                       icon='far fa-circle'),
                  menu('Fixed Footer',
                       viewname='adminlte-demo:fixed-footer',
                       icon='far fa-circle'),
                  menu('Collapsed Sidebar',
                       viewname='adminlte-demo:collapsed-sidebar',
                       icon='far fa-circle'),
              ],
              icon='fas fa-copy',
              badge='6',
              badge_class='badge-info'),
    menugroup('Charts',
              [
                  menu('ChartJS',
                       viewname='adminlte-demo:chartjs',
                       icon='far fa-circle'),
                  menu('Flot',
                       viewname='adminlte-demo:flot',
                       icon='far fa-circle'),
                  menu('Inline',
                       viewname='adminlte-demo:inline',
                       icon='far fa-circle'),
              ],
              icon='fas fa-chart-pie'),
    menugroup('UI Elements',
              [
                  menu('General',
                       viewname='adminlte-demo:ui-general',
                       icon='far fa-circle'),
                  menu('Icons',
                       viewname='adminlte-demo:ui-icons',
                       icon='far fa-circle'),
                  menu('Buttons',
                       viewname='adminlte-demo:ui-buttons',
                       icon='far fa-circle'),
                  menu('Sliders',
                       viewname='adminlte-demo:ui-sliders',
                       icon='far fa-circle'),
                  menu('Modals & Alerts',
                       viewname='adminlte-demo:ui-modals',
                       icon='far fa-circle'),
                  menu('Navbar & Tabs',
                       viewname='adminlte-demo:ui-navbar',
                       icon='far fa-circle'),
                  menu('Timeline',
                       viewname='adminlte-demo:ui-timeline',
                       icon='far fa-circle'),
                  menu('Ribbons',
                       viewname='adminlte-demo:ui-ribbons',
                       icon='far fa-circle'),
              ],
              icon='fas fa-tree'),
    menugroup('Forms',
              [
                  menu('General Elements',
                       viewname='adminlte-demo:forms-general',
                       icon='far fa-circle'),
                  menu('Advanced Elements',
                       viewname='adminlte-demo:forms-advanced',
                       icon='far fa-circle'),
                  menu('Editors',
                       viewname='adminlte-demo:forms-editors',
                       icon='far fa-circle'),
                  menu('Validation',
                       viewname='adminlte-demo:forms-validation',
                       icon='far fa-circle'),
              ],
              icon='fas fa-edit'),
    menugroup('Tables',
              [
                  menu('Simple Tables',
                       viewname='adminlte-demo:tables-simple',
                       icon='far fa-circle'),
                  menu('DataTables',
                       viewname='adminlte-demo:tables-data',
                       icon='far fa-circle'),
                  menu('jsGrid',
                       viewname='adminlte-demo:tables-jsgrid',
                       icon='far fa-circle'),
              ],
              icon='fas fa-table'),
    label('Examples'),
    menu('Calendar',
         viewname='adminlte-demo:calendar',
         icon='far fa-calendar-alt',
         badge='2',
         badge_class='badge-info'),
    menu('Gallery',
         viewname='adminlte-demo:gallery',
         icon='far fa-image'),
    menugroup('Mailbox',
              [
                  menu('Inbox',
                       viewname='adminlte-demo:mailbox-mailbox',
                       icon='far fa-circle'),
                  menu('Compose',
                       viewname='adminlte-demo:mailbox-compose',
                       icon='far fa-circle'),
                  menu('Read',
                       viewname='adminlte-demo:mailbox-read-mail',
                       icon='far fa-circle'),
              ],
              icon='far fa-envelope'),
    menugroup('Pages',
              [
                  menu('Invoice',
                       viewname='adminlte-demo:examples-invoice',
                       icon='far fa-circle'),
                  menu('Profile',
                       viewname='adminlte-demo:examples-profile',
                       icon='far fa-circle'),
                  menu('E-commerce',
                       viewname='adminlte-demo:examples-e-commerce',
                       icon='far fa-circle'),
                  menu('Projects',
                       viewname='adminlte-demo:examples-projects',
                       icon='far fa-circle'),
                  menu('Project Add',
                       viewname='adminlte-demo:examples-project-add',
                       icon='far fa-circle'),
                  menu('Project Edit',
                       viewname='adminlte-demo:examples-project-edit',
                       icon='far fa-circle'),
                  menu('Project Detail',
                       viewname='adminlte-demo:examples-project-detail',
                       icon='far fa-circle'),
                  menu('Contacts',
                       viewname='adminlte-demo:examples-contacts',
                       icon='far fa-circle'),
              ],
              icon='fas fa-book'),
    menugroup('Extras',
              [
                  menu('Login',
                       viewname='adminlte-demo:examples-login',
                       icon='far fa-circle'),
                  menu('Register',
                       viewname='adminlte-demo:examples-register',
                       icon='far fa-circle'),
                  menu('Forgot Password',
                       viewname='adminlte-demo:examples-forgot-password',
                       icon='far fa-circle'),
                  menu('Recover Password',
                       viewname='adminlte-demo:examples-recover-password',
                       icon='far fa-circle'),
                  menu('Lockscreen',
                       viewname='adminlte-demo:examples-lockscreen',
                       icon='far fa-circle'),
                  menu('Legacy User Menu',
                       viewname='adminlte-demo:examples-legacy-user-menu',
                       icon='far fa-circle'),
                  menu('Language Menu',
                       viewname='adminlte-demo:examples-language-menu',
                       icon='far fa-circle'),
                  menu('Error 404',
                       viewname='adminlte-demo:examples-404',
                       icon='far fa-circle'),
                  menu('Error 500',
                       viewname='adminlte-demo:examples-500',
                       icon='far fa-circle'),
                  menu('Pace',
                       viewname='adminlte-demo:examples-pace',
                       icon='far fa-circle'),
                  menu('Blank Page',
                       viewname='adminlte-demo:examples-blank',
                       icon='far fa-circle'),
                  menu('Starter Page',
                       viewname='adminlte-demo:examples-starter',
                       icon='far fa-circle'),
              ],
              icon='far fa-plus-square'),
    label('Miscellaneous'),
    menu('Documentation',
         url='https://adminlte.io/docs/3.0/',
         icon='fas fa-file'),
    label('Multi Level Example'),
    menu('Level 1',
         url='#',
         icon='fas fa-circle'),
    menugroup('Level 1',
              [
                  menu('Level 2',
                       url='#',
                       icon='far fa-circle'),
                  menugroup('Level 2',
                            [
                                menu('Level 3',
                                     url='#',
                                     icon='far fa-dot-circle'),
                                menu('Level 3',
                                     url='#',
                                     icon='far fa-dot-circle'),
                                menu('Level 3',
                                     url='#',
                                     icon='far fa-dot-circle'),
                            ],
                            icon='far fa-circle'),
                  menu('Level 2',
                       url='#',
                       icon='far fa-circle'),
              ],
              icon='fas fa-circle'),
    menu('Level 1',
         url='#',
         icon='fas fa-circle'),
    label('Labels'),
    menu('Important',
         url='#',
         icon='far fa-circle text-danger'),
    menu('Warning',
         url='#',
         icon='far fa-circle text-warning'),
    menu('Informational',
         url='#',
         icon='far fa-circle text-info'),
]