from django.urls import path
from . import views


app_name = 'adminlte-demo'

urlpatterns = [
    path('', views.make_view('pages/index1.html'), name='index1'),
    path('index1.html', views.make_view('pages/index1.html'), name='index1'),
    path('index2.html', views.make_view('pages/index2.html'), name='index2'),
    path('index3.html', views.make_view('pages/index3.html'), name='index3'),

    path('pages/widgets.html', views.make_view('pages/widgets.html'), name='widgets'),

    path('pages/layout/top-nav.html', views.make_view('pages/layout/top-nav.html'), name='top-nav'),
    path('pages/layout/top-nav-sidebar.html',
         views.make_view('pages/layout/top-nav-sidebar.html'),
         name='top-nav-sidebar'),
    path('pages/layout/boxed.html', views.make_view('pages/layout/boxed.html'), name='boxed'),
    path('pages/layout/fixed-sidebar.html', views.make_view('pages/layout/fixed-sidebar.html'), name='fixed-sidebar'),
    path('pages/layout/fixed-topnav.html', views.make_view('pages/layout/fixed-topnav.html'), name='fixed-topnav'),
    path('pages/layout/fixed-footer.html', views.make_view('pages/layout/fixed-footer.html'), name='fixed-footer'),
    path('pages/layout/collapsed-sidebar.html',
         views.make_view('pages/layout/collapsed-sidebar.html'),
         name='collapsed-sidebar'),

    path('pages/charts/chartjs.html', views.make_view('pages/charts/chartjs.html'), name='chartjs'),
    path('pages/charts/flot.html', views.make_view('pages/charts/flot.html'), name='flot'),
    path('pages/charts/inline.html', views.make_view('pages/charts/inline.html'), name='inline'),

    path('pages/UI/general.html', views.make_view('pages/UI/general.html'), name='ui-general'),
    path('pages/UI/icons.html', views.make_view('pages/UI/icons.html'), name='ui-icons'),
    path('pages/UI/buttons.html', views.make_view('pages/UI/buttons.html'), name='ui-buttons'),
    path('pages/UI/sliders.html', views.make_view('pages/UI/sliders.html'), name='ui-sliders'),
    path('pages/UI/modals.html', views.make_view('pages/UI/modals.html'), name='ui-modals'),
    path('pages/UI/navbar.html', views.make_view('pages/UI/navbar.html'), name='ui-navbar'),
    path('pages/UI/timeline.html', views.make_view('pages/UI/timeline.html'), name='ui-timeline'),
    path('pages/UI/ribbons.html', views.make_view('pages/UI/ribbons.html'), name='ui-ribbons'),

    path('pages/forms/general.html', views.make_view('pages/forms/general.html'), name='forms-general'),
    path('pages/forms/advanced.html', views.make_view('pages/forms/advanced.html'), name='forms-advanced'),
    path('pages/forms/editors.html', views.make_view('pages/forms/editors.html'), name='forms-editors'),
    path('pages/forms/validation.html', views.make_view('pages/forms/validation.html'), name='forms-validation'),

    path('pages/tables/simple.html', views.make_view('pages/tables/simple.html'), name='tables-simple'),
    path('pages/tables/data.html', views.make_view('pages/tables/data.html'), name='tables-data'),
    path('pages/tables/jsgrid.html', views.make_view('pages/tables/jsgrid.html'), name='tables-jsgrid'),

    path('pages/calendar.html', views.make_view('pages/calendar.html'), name='calendar'),
    path('pages/gallery.html', views.make_view('pages/gallery.html'), name='gallery'),

    path('pages/mailbox/mailbox.html', views.make_view('pages/mailbox/mailbox.html'), name='mailbox-mailbox'),
    path('pages/mailbox/compose.html', views.make_view('pages/mailbox/compose.html'), name='mailbox-compose'),
    path('pages/mailbox/read-mail.html', views.make_view('pages/mailbox/read-mail.html'), name='mailbox-read-mail'),

    path('pages/examples/invoice.html', views.make_view('pages/examples/invoice.html'), name='examples-invoice'),
    path('pages/examples/invoice-print.html',
         views.make_view('pages/examples/invoice-print.html'),
         name='examples-invoice-print'),
    path('pages/examples/profile.html', views.make_view('pages/examples/profile.html'), name='examples-profile'),
    path('pages/examples/e-commerce.html',
         views.make_view('pages/examples/e-commerce.html'),
         name='examples-e-commerce'),
    path('pages/examples/projects.html', views.make_view('pages/examples/projects.html'), name='examples-projects'),
    path('pages/examples/project-add.html',
         views.make_view('pages/examples/project-add.html'),
         name='examples-project-add'),
    path('pages/examples/project-edit.html',
         views.make_view('pages/examples/project-edit.html'),
         name='examples-project-edit'),
    path('pages/examples/project-detail.html',
         views.make_view('pages/examples/project-detail.html'),
         name='examples-project-detail'),
    path('pages/examples/contacts.html', views.make_view('pages/examples/contacts.html'), name='examples-contacts'),

    path('pages/examples/login.html', views.make_view('pages/examples/login.html'), name='examples-login'),
    path('pages/examples/register.html', views.make_view('pages/examples/register.html'), name='examples-register'),
    path('pages/examples/forgot-password.html',
         views.make_view('pages/examples/forgot-password.html'),
         name='examples-forgot-password'),
    path('pages/examples/recover-password.html',
         views.make_view('pages/examples/recover-password.html'),
         name='examples-recover-password'),
    path('pages/examples/lockscreen.html',
         views.make_view('pages/examples/lockscreen.html'),
         name='examples-lockscreen'),
    path('pages/examples/legacy-user-menu.html',
         views.make_view('pages/examples/legacy-user-menu.html'),
         name='examples-legacy-user-menu'),
    path('pages/examples/language-menu.html',
         views.make_view('pages/examples/language-menu.html'),
         name='examples-language-menu'),
    path('pages/examples/404.html',
         views.make_view('pages/examples/404.html'),
         name='examples-404'),
    path('pages/examples/500.html',
         views.make_view('pages/examples/500.html'),
         name='examples-500'),
    path('pages/examples/pace.html',
         views.make_view('pages/examples/pace.html'),
         name='examples-pace'),
    path('pages/examples/blank.html',
         views.make_view('pages/examples/blank.html'),
         name='examples-blank'),
    path('pages/examples/starter.html',
         views.make_view('pages/starter.html'),
         name='examples-starter'),
]
